class JavaBooleanTest
{
	//--------------------------------------------------------------------------
	//Boolean test

	public static boolean Test(boolean param)
	{
		return (param != false) ? false : true;
	}

	public static boolean[][][] Test3D(boolean[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					param[i1][i2][i3] = (param[i1][i2][i3] != false) ? false : true;
				}
			}
		}
		return param;
	}

	//--------------------------------------------------------------------------
	//Boolean Object test

	public static Boolean TestObj(Boolean param)
	{
		return (param.booleanValue() != false) ? new Boolean(false) : new Boolean(true);
	}

	public static Boolean[][][] TestObj3D(Boolean[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					param[i1][i2][i3] = (param[i1][i2][i3].booleanValue() != false) ? new Boolean(false) : new Boolean(true);
				}
			}
		}
		return param;
	}
}
